Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert.ext
Class CRLNumberExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.cert.ext.CRLNumberExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLNumberExtension
extends X509Extension

CRL Number extension from RFC 2459. This extension is non-critical.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`CRLNumberExtension()` Create a new extension with the appropriate OID type.
`CRLNumberExtension(java.math.BigInteger crlNumber)` Creates a new extension with the given CRL number.
`CRLNumberExtension(java.math.BigInteger crlNumber, boolean critical)` Creates a new extension with the given CRL number.
`CRLNumberExtension(java.io.InputStream is)`

Method Summary
`java.math.BigInteger` | `getCRLNumber()` Gets the CRL number.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLNumberExtension

    public CRLNumberExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### CRLNumberExtension

    public CRLNumberExtension(java.math.BigInteger crlNumber)

  Creates a new extension with the given CRL number. Extension is non-critical.
Parameters:
  `crlNumber` - The CRL number.

### CRLNumberExtension

    public CRLNumberExtension(java.math.BigInteger crlNumber,
                              boolean critical)

  Creates a new extension with the given CRL number.
Parameters:
  `crlNumber` - The CRL number.
  `critical` - `true` if this extension is critical, `false` otherwise.

### CRLNumberExtension

    public CRLNumberExtension(java.io.InputStream is)
                       throws java.io.IOException

Method Detail

### getCRLNumber

    public java.math.BigInteger getCRLNumber()

  Gets the CRL number.
  Returns:
    A `BigInteger` representing the CRL number.

### toString

    public java.lang.String toString()

  Description copied from class: `X509Extension`
  Returns a string representation of this object.
  Overrides:
    `toString` in class `X509Extension`
  Returns:
    a string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.